Upgrade Framework 正在参加 2020 年度 OSC 中国开源项目评选,请投票支持!
Upgrade Framework 在 2020 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
投票让它出道
已投票
授权协议 MIT
开发语言 Java
操作系统 跨平台
软件类型 开源软件
所属分类 开发工具项目构建
开发厂商 VMware
地区 不详
提 交 者 孔小菜
适用人群 未知
收录时间 2015-05-13

软件简介

Upgrade Framework 是一个与产品无关的,用于定义和升级的框架。

该框架包含四个项目:

upgrade-framework-core

包含构造,以描述执行一组表示为Task对象的动作的过程,以将一个或多个持久性机制(由PersistenceContext封装在总体中的对象描述)UpgradeContext从一个过渡Version到另一个Version

upgrade-framework-dsl

定义用于定义升级框架构造的领域特定语言。

upgrade-framework-sql

为核心框架提供与SQL相关的扩展。

upgrade-framework-sql-dsl

提供与SQL有关的DSL扩展。

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论 (0)

加载中
更多评论
暂无内容
发表了博客
2019/05/10 11:31

update 和 upgrade

update和upgrade这两个单词一定是都不陌生的,虽然都是升级或者更新的意思,但很难搞懂两个单词到底有什么区别(其实在软件更新方面两个是可以通用的)。最基本的讲,update是“更新”的意思,而upgrade则是“升级”的意思。 update和upgrade的主要区别 update是更新的意思,主要是为原有的东西增加新功能,或者对已有的...

0
0
发表于DevOps专区
2014/12/25 09:48

Yosimate Upgrade

Yosimate Upgrade

0
0
2018/04/17 20:58

upgrade pip

### 我的Python版本是3.6.4 pip install --upgrade pip 使用上面的命令更新pip时会报错,说什么没有权限 ``` Installing collected packages: pip Found existing installation: pip 9.0.3 Uninstalling pip-9.0.3: Exception: Traceback (most recent call last): File "C:\Program Files\python\lib\shutil.py", line...

0
0
发表于云计算专区
2015/08/18 00:03

nginx upgrade

nginx升级

1
9
发表了博客
2018/09/08 17:00

ubuntu upgrade

升级命令 虽然 apt-get 经常被人诟病,但实际上它还是个挺好用的软件包管理器。在 Ubuntu 14.04 以后的系统中,apt-get 相关的升级更新命令有四个: apt-get update apt-get upgrade apt-get full-upgrade apt-get dist-upgrade 那么,这四个升级命令都有什么差别呢? 根据 apt-get 的官方手册: update - 从服务器更新...

0
0
发表于AI & 大数据专区
2017/04/06 20:44

Please upgrade your kernel to 3.10.0.

centos6.5 docker install error; Please upgrade your kernel to 3.10.0. 解决步骤: nohup docker -d > /var/log/docker.log 2>&1 &...

0
0
发表了博客
2016/08/02 18:38

how to upgrade CentOS kernel

1,wget -c http://www.kernel.org/pub/linux/kernel/v2.6/linux-2.6.24.4.tar.bz2 2, make mrproper 3, cp /boot/config* .config ; make oldconfig or make defconfig [ use the sample config as the .config file (linux-2.6.24.4/arch/x86/configs/i386_defconfig)] 或者更好的使用命令make localmodconfig来产生配...

0
0
发表了博客
01/30 20:28

The mysql_upgrade client is now deprecated(mysql_upgrade客户机现在已经弃用)

登录数据库后执行以下命令 mysql> show databases; 报错 ERROR 1449 (HY000): The user specified as a definer ('mysql.infoschema'@'localhost') does not exist 在网上找到的解决办法 mysql_upgrade -u root -p 输入后,显示如下信息: The mysql_upgrade client is now deprecated. The actions executed by the up...

0
0
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
暂无内容
0 评论
4 收藏
分享
返回顶部
顶部